Crea un cfdi de emision.
curl -X POST https://apisandbox.facturama.mx/3/cfdis \
-u usuario:password \
-H 'Content-Type: application/json' \
-d '{"NameId":"1"}'var client = new HttpClient();
var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("usuario:password"));
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", credentials);
var body = new StringContent(JsonConvert.SerializeObject(cfdi), Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://apisandbox.facturama.mx/3/cfdis", body);const credentials = btoa('usuario:password');
const response = await fetch('https://apisandbox.facturama.mx/3/cfdis', {
method: 'POST',
headers: {
'Authorization': `Basic ${credentials}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(cfdi)
});
const data = await response.json();import requests
response = requests.post(
'https://apisandbox.facturama.mx/3/cfdis',
auth=('usuario', 'password'),
json=cfdi
)
data = response.json()$ch = curl_init('https://apisandbox.facturama.mx/3/cfdis');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_USERPWD, 'usuario:password');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($cfdi));
$response = json_decode(curl_exec($ch), true);
curl_close($ch);package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/3/cfdis"
payload := strings.NewReader("{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apisandbox.facturama.mx/3/cfdis")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/3/cfdis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"Id": "J6MjEYRjnLnV6aMCK8dV-w2",
"CfdiType": "ingreso",
"Type": "I - ingreso",
"Serie": "FA",
"Folio": "100",
"Date": "2024-06-25T12:00:00",
"CertNumber": "30001000000500003416",
"PaymentTerms": "03 - Transferencia electrónica de fondos",
"PaymentMethod": "PUE - Pago en una sola exhibición",
"PaymentAccountNumber": "",
"PaymentBankName": "",
"ExpeditionPlace": "78000",
"ExchangeRate": 0,
"Currency": "MXN - Peso Mexicano",
"Subtotal": 100,
"Discount": 0,
"Total": 116,
"Observations": "Elemento Observaciones solo visible en PDF",
"Issuer": {
"FiscalRegime": "601 - General de Ley Personas Morales",
"Rfc": "EKU9003173C9",
"TaxName": "ESCUELA KEMPER URGATE",
"Email": "api@facturama.mx",
"Phone": "4448356098",
"TaxAddress": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"InteriorNumber": "",
"Neighborhood": "Los Laureles",
"ZipCode": "42501",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "México"
},
"IssuedIn": {
"Street": "",
"ExteriorNumber": "",
"Neighborhood": "-",
"ZipCode": "78000",
"Municipality": "",
"State": "",
"Country": "MEXICO"
}
},
"Receiver": {
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"Email": ""
},
"Items": [
{
"ProductCode": "10101504",
"IdentificationNumber": "EDL",
"UnitCode": "MTS",
"Discount": 0,
"CuentaPredial": "",
"Quantity": 2,
"Unit": "MTS - NO APLICA",
"Description": "Estudios de laboratorio",
"UnitValue": 50,
"Total": 100
}
],
"Taxes": [
{
"Total": 16,
"Name": "IVA",
"Rate": 0,
"Type": "transferred"
}
],
"Complement": {
"TaxStamp": {
"Uuid": "fe3c73d5-7881-49e0-80a3-e6c7e2eece40",
"Date": "2024-06-25T12:00:00",
"CfdiSign": "JvBbBtJZjW+xmCCrk/QW30JKrlYPlVdbLfiHfjtiZrSaI1En8pILqfBmBZ5znc...",
"SatCertNumber": "30001000000500003456",
"SatSign": "VaNEQDLc3XnkNXaFfTIHhOwoQwRwfdlGtaHjOA0wH8UZZvHwEZny3S3CaDWo1z...",
"RfcProvCertif": "SPR190613I52"
}
},
"Status": "active",
"OriginalString": "||4.0|100|2024-06-25T12:00:00|03|30001000000500003416|100|MXN|116.00|I|01|PUE|78000|EKU9003173C9|..."
}Autorizaciones
Autenticación HTTP Basic con usuario y contraseña de Facturama.
Cuerpo
Cfdi a crear
Cfdi de Emisión sin necesidad de Catalogos de Clientes y Productos
LugarExpedicion:Atributo requerido para incorporar el código postal del lugar de expedición del comprobante(domicilio de la matriz o de la sucursal)
1TipoDeComprobante: Atributo requerido para expresar la clave del efecto del comprobante fiscal para el contribuyente emisor
1I|E|T|N|PCliente a quien se emitirá el CFDi, Atributo Requerido
Show child attributes
Show child attributes
Atributo para especificar el nombre que se establecera en el pdf (default 1 = factura) [ Vea la documentación de "Nombres del CFDI" ]
Fecha: Atributo requerido para la expresión de la fecha y hora de expedición del Comprobante Fiscal Digital por Internet.Se expresa en la forma AAAAMM-DDThh:mm:ss y debe corresponder con la hora local donde se expide el comprobante
^([\+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-2])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T\s]((([01]\d|2[0-3])((:?)[0-5]\d)?|24\:?00)([\.,]\d+(?!:))?)?(\17[0-5]\d([\.,]\d+)?)?([zZ]|([\+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$Serie: Atributo opcional para precisar la serie para control interno del contribuyente.Este atributo acepta una cadena de caracteres.
1 - 25[^|]{1,25}Atributo opcional para incorporar al menos los cuatro últimos digitos del número de cuenta con la que se realizó el pago....
4^\d{1,4}?$TipoCambio: Atributo condicional para representar el tipo de cambio FIX conforme con la moneda usada.Es requerido cuando la clave de moneda es distinta de MXN y de XXX.El valor debe reflejar el número de pesos mexicanos que equivalen a una unidad de la divisa señalada en el atributo moneda.Si el valor está fuera del porcentaje aplicable a la moneda tomado del catálogo c_Moneda, el emisor debe obtener del PAC que vaya a timbrar el CFDI, de manera no automática, una clave de confirmación para ratificar que el valor es correcto e integrar dicha clave en el atributo Confirmacion
x >= 0.000001Moneda: Atributo requerido para identificar la clave de la moneda utilizada para expresar los montos, cuando se usa moneda nacional se registra MXN. Conforme con la especificación ISO 4217
3Confirmacion: Atributo condicional para registrar la clave de confirmación que entregue el PAC para expedir el comprobante con importes grandes, con un tipo de cambio fuera del rango establecido o con ambos casos.Es requerido cuando se registra un tipo de cambio o un total fuera del rango establecido.
5[a-zA-Z0-9]{5}Exportacion: Atributo requerido para expresar si el comprobante ampara una operación de exportación. Se elige del catálogo del SAT 01|02|03|04
0[1234]CondicionesDePago: Atributo condicional para expresar las condiciones comerciales aplicables para el pago del comprobante fiscal digital por Internet.Este atributo puede ser condicionado mediante atributos o complementos
[^|]{1,100}Cfdis Relacionados, empleado para las notas de credito, etc.
Show child attributes
Show child attributes
Nodo Información Global
Show child attributes
Show child attributes
Id de factura con Status invalid | unanswered (registro invalido sin timbre por alguna intermitencia durante las operaciones), si el paramento IdCfdi contiene valor se reutiliza el folio del registro encontrado en caso contrario se crea una nuevo.
Folio: Atributo opcional para control interno del contribuyente que expresa el folio del comprobante, acepta una cadena de 1 a 40 caracteres.
1 - 40[^|]{1,40}FormaPago: Atributo condicional para expresar la clave de la forma de pago de los bienes o servicios amparados por el comprobante.
01|02|03|04|05|06|08|12|13|14|15|17|23|24|25|26|27|28|29|30|31|99MetodoPago: Atributo condicional para precisar la clave del método de pago que aplica para este comprobante fiscal digital por Internet, conforme al Artículo 29- A fracción VII incisos a y b del CFF. Se entiende como método de pago leyendas tales como: PPD, PUE
PUE|PPDNodo requerido para enlistar los conceptos cubiertos por el comprobante.
Show child attributes
Show child attributes
Complemento del CFDI
Show child attributes
Show child attributes
Descripcion no fiscal del pdf
Numero de Orden, propiedad no fiscal (opcional)
100Nombre del banco, propiedad no fiscal (opcional)
50Id de la cuenta de banco relacionado con la entidad fiscal
Respuesta
detalle del CFDi
Cuerpo del resultado de consulta de un CFDI.
Identifiacador unico del cfdi.
Tipo del efecto del comprobante fiscal para el contribuyente emisor: ingreso, egreso ó traslado.
Tipo de comprobante segun catalogo del SAT.
Numero de la serie en el control interno del contribuyente.
Numero de la folio en el control interno del contribuyente.
Fecha y hora de expedición del comprobante fiscal.
No del Certificado.
Forma de pago.
Condiciones comerciales aplicables para el pago del comprobante fiscal digital a través de Internet.
Método de pago de los bienes o servicios amparados por el comprobante. Se entiende como método de pago leyendas tales como: cheque, tarjeta de crédito o debito, depósito en cuenta, etc.
Incorpora al menos los cuatro últimos digitos del número de cuenta con la que se realizó el pago.
Nombre del banco donde se realizo el pago.
Lugar de expedición del comprobante.
Tipo de cambio conforme a la moneda usada.
Moneda utilizada para expresar los montos.
Representa la suma de los importes antes de descuentos e impuestos.
Representa el importe total de los descuentos aplicables antes de impuestos.
Representar la suma del subtotal, menos los descuentos aplicables, más los impuestos trasladados, menos los impuestos retenidos.
Observaciones no fiscales de la factura.
Observaciones no fiscales de la factura.
Nodo que contiene el detalle del emisor.
Show child attributes
Show child attributes
Nodo que contiene el detalle del receptor.
Show child attributes
Show child attributes
Nodo que contiene el detalle de los conceptos.
Show child attributes
Show child attributes
Nodo que contiene el detalle de los impuestos.
Show child attributes
Show child attributes
Nodo que contiene complementos de extensión definidos por el SAT.
Show child attributes
Show child attributes
Estatus de la factura.
Cadena original.
Determina si esta factura se puede pagar.
curl -X POST https://apisandbox.facturama.mx/3/cfdis \
-u usuario:password \
-H 'Content-Type: application/json' \
-d '{"NameId":"1"}'var client = new HttpClient();
var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("usuario:password"));
client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", credentials);
var body = new StringContent(JsonConvert.SerializeObject(cfdi), Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://apisandbox.facturama.mx/3/cfdis", body);const credentials = btoa('usuario:password');
const response = await fetch('https://apisandbox.facturama.mx/3/cfdis', {
method: 'POST',
headers: {
'Authorization': `Basic ${credentials}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(cfdi)
});
const data = await response.json();import requests
response = requests.post(
'https://apisandbox.facturama.mx/3/cfdis',
auth=('usuario', 'password'),
json=cfdi
)
data = response.json()$ch = curl_init('https://apisandbox.facturama.mx/3/cfdis');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_USERPWD, 'usuario:password');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($cfdi));
$response = json_decode(curl_exec($ch), true);
curl_close($ch);package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/3/cfdis"
payload := strings.NewReader("{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apisandbox.facturama.mx/3/cfdis")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/3/cfdis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"NameId\": \"1\",\n \"Currency\": \"MXN\",\n \"Folio\": \"100\",\n \"Serie\": \"FA\",\n \"CfdiType\": \"I\",\n \"PaymentForm\": \"03\",\n \"PaymentMethod\": \"PUE\",\n \"OrderNumber\": \"TEST-001\",\n \"ExpeditionPlace\": \"78000\",\n \"Date\": \"2024-06-25T12:00:00\",\n \"PaymentConditions\": \"CREDITO A SIETE DIAS\",\n \"Observations\": \"Elemento Observaciones solo visible en PDF\",\n \"Exportation\": \"01\",\n \"Receiver\": {\n \"Rfc\": \"URE180429TM6\",\n \"CfdiUse\": \"CP01\",\n \"Name\": \"UNIVERSIDAD ROBOTICA ESPAÑOLA\",\n \"FiscalRegime\": \"601\",\n \"TaxZipCode\": \"86991\"\n },\n \"Items\": [\n {\n \"ProductCode\": \"10101504\",\n \"IdentificationNumber\": \"EDL\",\n \"Description\": \"Estudios de laboratorio\",\n \"Unit\": \"NO APLICA\",\n \"UnitCode\": \"MTS\",\n \"UnitPrice\": 50,\n \"Quantity\": 2,\n \"Subtotal\": 100,\n \"TaxObject\": \"02\",\n \"Taxes\": [\n {\n \"Total\": 16,\n \"Name\": \"IVA\",\n \"Base\": 100,\n \"Rate\": 0.16,\n \"IsRetention\": false\n }\n ],\n \"Total\": 116\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"Id": "J6MjEYRjnLnV6aMCK8dV-w2",
"CfdiType": "ingreso",
"Type": "I - ingreso",
"Serie": "FA",
"Folio": "100",
"Date": "2024-06-25T12:00:00",
"CertNumber": "30001000000500003416",
"PaymentTerms": "03 - Transferencia electrónica de fondos",
"PaymentMethod": "PUE - Pago en una sola exhibición",
"PaymentAccountNumber": "",
"PaymentBankName": "",
"ExpeditionPlace": "78000",
"ExchangeRate": 0,
"Currency": "MXN - Peso Mexicano",
"Subtotal": 100,
"Discount": 0,
"Total": 116,
"Observations": "Elemento Observaciones solo visible en PDF",
"Issuer": {
"FiscalRegime": "601 - General de Ley Personas Morales",
"Rfc": "EKU9003173C9",
"TaxName": "ESCUELA KEMPER URGATE",
"Email": "api@facturama.mx",
"Phone": "4448356098",
"TaxAddress": {
"Street": "Cañada de Gomez",
"ExteriorNumber": "128",
"InteriorNumber": "",
"Neighborhood": "Los Laureles",
"ZipCode": "42501",
"Municipality": "Piedras Negras",
"State": "COAHUILA",
"Country": "México"
},
"IssuedIn": {
"Street": "",
"ExteriorNumber": "",
"Neighborhood": "-",
"ZipCode": "78000",
"Municipality": "",
"State": "",
"Country": "MEXICO"
}
},
"Receiver": {
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"Email": ""
},
"Items": [
{
"ProductCode": "10101504",
"IdentificationNumber": "EDL",
"UnitCode": "MTS",
"Discount": 0,
"CuentaPredial": "",
"Quantity": 2,
"Unit": "MTS - NO APLICA",
"Description": "Estudios de laboratorio",
"UnitValue": 50,
"Total": 100
}
],
"Taxes": [
{
"Total": 16,
"Name": "IVA",
"Rate": 0,
"Type": "transferred"
}
],
"Complement": {
"TaxStamp": {
"Uuid": "fe3c73d5-7881-49e0-80a3-e6c7e2eece40",
"Date": "2024-06-25T12:00:00",
"CfdiSign": "JvBbBtJZjW+xmCCrk/QW30JKrlYPlVdbLfiHfjtiZrSaI1En8pILqfBmBZ5znc...",
"SatCertNumber": "30001000000500003456",
"SatSign": "VaNEQDLc3XnkNXaFfTIHhOwoQwRwfdlGtaHjOA0wH8UZZvHwEZny3S3CaDWo1z...",
"RfcProvCertif": "SPR190613I52"
}
},
"Status": "active",
"OriginalString": "||4.0|100|2024-06-25T12:00:00|03|30001000000500003416|100|MXN|116.00|I|01|PUE|78000|EKU9003173C9|..."
}